import { Log } from '../spec-utils/log';
import { OCIFeatureCollectionRef, OCIFeatureRef, OCILayer, OCIManifest } from './containerFeaturesOCI';
export declare function pushOCIFeature(output: Log, featureRef: OCIFeatureRef, pathToTgz: string, tags: string[]): Promise<boolean>;
export declare function pushFeatureCollectionMetadata(output: Log, featureCollectionRef: OCIFeatureCollectionRef, pathToCollectionJson: string): Promise<boolean>;
export declare function putManifestWithTags(output: Log, manifestStr: string, featureRef: OCIFeatureRef | OCIFeatureCollectionRef, tags: string[], registryAuthToken: string): Promise<boolean>;
export declare function putBlob(output: Log, pathToBlob: string, blobPutLocationUriPath: string, featureRef: OCIFeatureRef | OCIFeatureCollectionRef, digest: string, registryAuthToken: string): Promise<boolean>;
export declare function generateCompleteManifestForIndividualFeature(output: Log, pathToTgz: string, ociFeatureRef: OCIFeatureRef): Promise<{
    manifestObj: OCIManifest;
    manifestStr: string;
    digest: string;
} | undefined>;
export declare function generateCompleteManifestForCollectionFile(output: Log, pathToCollectionFile: string, collectionRef: OCIFeatureCollectionRef): Promise<{
    manifestObj: OCIManifest;
    manifestStr: string;
    digest: string;
} | undefined>;
export declare function calculateDataLayer(output: Log, pathToData: string, mediaType: string): Promise<OCILayer | undefined>;
export declare function checkIfBlobExists(output: Log, featureRef: OCIFeatureRef | OCIFeatureCollectionRef, digest: string, authToken: string): Promise<boolean>;
export declare function postUploadSessionId(output: Log, featureRef: OCIFeatureRef | OCIFeatureCollectionRef, authToken: string): Promise<string | undefined>;
export declare function calculateManifestAndContentDigest(output: Log, dataLayer: OCILayer, annotations: {
    [key: string]: string;
} | undefined): Promise<{
    manifestStr: string;
    manifestObj: OCIManifest;
    digest: string;
}>;
