import { Argv } from 'yargs';
import { CLIHost } from '../../spec-common/cliHost';
import { Log } from '../../spec-utils/log';
export declare function PackageOptions(y: Argv, collectionType: string): Argv<import("yargs").Omit<{}, "log-level" | "output-folder" | "force-clean-output-folder"> & import("yargs").InferredOptionTypes<{
    'output-folder': {
        type: "string";
        alias: string;
        default: string;
        description: string;
    };
    'force-clean-output-folder': {
        type: "boolean";
        alias: string;
        default: boolean;
        description: string;
    };
    'log-level': {
        choices: ("info" | "debug" | "trace")[];
        default: "info";
        description: string;
    };
}> & {
    target: string;
}>;
export interface PackageCommandInput {
    cliHost: CLIHost;
    targetFolder: string;
    outputDir: string;
    output: Log;
    disposables: (() => Promise<unknown> | undefined)[];
    isSingle?: boolean;
    forceCleanOutputDir?: boolean;
}
