import { DevContainerConfig } from '../spec-configuration/configuration';
import { ImageDetails } from '../spec-shutdown/dockerUtils';
import { FeaturesConfig } from '../spec-configuration/containerFeaturesConfiguration';
import { DockerResolverParameters, SubstitutedConfig } from './utils';
import { ImageBuildInfo, MergedDevContainerConfig } from './imageMetadata';
export declare const getSafeId: (str: string) => string;
export declare function extendImage(params: DockerResolverParameters, config: SubstitutedConfig<DevContainerConfig>, imageName: string): Promise<{
    updatedImageName: string[];
    imageMetadata: SubstitutedConfig<import("./imageMetadata").ImageMetadataEntry[]>;
    imageDetails: () => Promise<ImageDetails>;
}>;
export declare function getExtendImageBuildInfo(params: DockerResolverParameters, config: SubstitutedConfig<DevContainerConfig>, baseName: string, imageBuildInfo: ImageBuildInfo): Promise<{
    featureBuildInfo: {
        dstFolder: string;
        dockerfileContent: string;
        overrideTarget: string;
        dockerfilePrefixContent: string;
        buildArgs: Record<string, string>;
        buildKitContexts: Record<string, string>;
    };
    collapsedFeaturesConfig?: undefined;
} | {
    featureBuildInfo: ImageBuildOptions;
    collapsedFeaturesConfig: import("../spec-configuration/containerFeaturesConfiguration").CollapsedFeaturesConfig;
} | undefined>;
export declare function generateContainerEnvs(featuresConfig: FeaturesConfig): string;
export interface ImageBuildOptions {
    dstFolder: string;
    dockerfileContent: string;
    overrideTarget: string;
    dockerfilePrefixContent: string;
    buildArgs: Record<string, string>;
    buildKitContexts: Record<string, string>;
}
export declare function getRemoteUserUIDUpdateDetails(params: DockerResolverParameters, mergedConfig: MergedDevContainerConfig, imageName: string, imageDetails: () => Promise<ImageDetails>, runArgsUser: string | undefined): Promise<{
    imageName: string;
    remoteUser: string;
    imageUser: string;
} | null>;
export declare function updateRemoteUserUID(params: DockerResolverParameters, mergedConfig: MergedDevContainerConfig, imageName: string, imageDetails: () => Promise<ImageDetails>, runArgsUser: string | undefined): Promise<string>;
