export { getConfigFilePath, getDockerfilePath, isDockerFileConfig, resolveConfigFilePath } from '../spec-configuration/configuration';
export { uriToFsPath, parentURI } from '../spec-configuration/configurationCommonUtils';
export { CLIHostDocuments, Documents, createDocuments, Edit, fileDocuments, RemoteDocuments } from '../spec-configuration/editableFiles';
export interface Dockerfile {
    preamble: {
        args: Record<string, string>;
    };
    stages: Stage[];
    stagesByLabel: Record<string, Stage>;
}
export interface Stage {
    from: From;
    args: Record<string, string>;
    users: string[];
}
export interface From {
    platfrom?: string;
    image: string;
    label?: string;
}
export declare function extractDockerfile(dockerfile: string): Dockerfile;
export declare function findUserStatement(dockerfile: Dockerfile, buildArgs: Record<string, string>, target: string | undefined): string | undefined;
export declare function findBaseImage(dockerfile: Dockerfile, buildArgs: Record<string, string>, target: string | undefined): string | undefined;
export declare function ensureDockerfileHasFinalStageName(dockerfile: string, defaultLastStageName: string): {
    lastStageName: string;
    modifiedDockerfile: string | undefined;
};
