import { Argv } from 'yargs';
import { CLIHost } from '../../spec-common/cliHost';
import { LogLevel } from '../../spec-utils/log';
import { PackageConfiguration } from '../../spec-utils/product';
import { UnpackArgv } from '../devContainersSpecCLI';
export declare function featuresTestOptions(y: Argv): Argv<import("yargs").Omit<{}, "features" | "log-level" | "quiet" | "global-scenarios-only" | "skip-scenarios" | "skip-autogenerated" | "base-image" | "remote-user"> & import("yargs").InferredOptionTypes<{
    features: {
        type: "array";
        alias: string;
        describe: string;
    };
    'global-scenarios-only': {
        type: "boolean";
        default: boolean;
        description: string;
    };
    'skip-scenarios': {
        type: "boolean";
        default: boolean;
        description: string;
    };
    'skip-autogenerated': {
        type: "boolean";
        default: boolean;
        description: string;
    };
    'base-image': {
        type: "string";
        alias: string;
        default: string;
        description: string;
    };
    'remote-user': {
        type: "string";
        alias: string;
        default: string;
        describe: string;
    };
    'log-level': {
        choices: ("info" | "debug" | "trace")[];
        default: "info";
        description: string;
    };
    quiet: {
        type: "boolean";
        alias: string;
        default: boolean;
        description: string;
    };
}> & {
    target: string;
}>;
export declare type FeaturesTestArgs = UnpackArgv<ReturnType<typeof featuresTestOptions>>;
export interface FeaturesTestCommandInput {
    cliHost: CLIHost;
    pkg: PackageConfiguration;
    baseImage: string;
    collectionFolder: string;
    features?: string[];
    skipScenarios: boolean;
    skipAutogenerated: boolean;
    globalScenariosOnly: boolean;
    remoteUser: string;
    quiet: boolean;
    logLevel: LogLevel;
    disposables: (() => Promise<unknown> | undefined)[];
}
export declare function featuresTestHandler(args: FeaturesTestArgs): void;
